Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "f5b5e4e0-6a5d-4425-a08b-1289b8bbac15",
  "date_start": "2026-11-17T22:07:45.5240916+00:00",
  "date_end": "2026-11-17T22:07:45.5240916+00:00",
  "modified_dateutc": "2026-11-17T22:07:45.5240916+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "3e5a96cf-ab33-4718-a195-5841b0b5f0cd",
  "user_code": "sample string 8",
  "user": {
    "id": "ee65672b-28dc-4d66-8602-733b19cd184f",
    "db_language_id": "16431217-1e45-4a5a-acbe-83fb9f2ec6e5",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-17T22:07:45.5240916+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "741bdc90-d40d-4c90-8f54-1818fa476215",
    "sales_organization": {
      "id": "7faa5cc2-6bb0-45a6-865b-d9696ec84c09",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "b5a1037a-6604-423f-a3f1-eed911779536",
      "db_currency_id": "f6a7d667-ac41-4da3-b879-0df426a45804",
      "db_language_id": "fa57f618-b178-4dce-85e8-f6e459b6196f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-17T22:07:45.5240916+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "5406365e-b5a1-498c-a9ef-b020bd2653d0",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "709887c8-18e7-4b10-93d7-01b4931ed3ff",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-17T22:07:45.5240916+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "003652e4-1e8e-439e-b45e-735d2b463d59"
  },
  "user_unavailability_type_id": "e44f8c1f-e8e0-464d-bf76-32bfe263823a",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "7ec18657-4148-42e0-bb35-e073e956ead1",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "f425aa79-af06-4c48-9484-0e5b10859549",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "7faa5cc2-6bb0-45a6-865b-d9696ec84c09",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "b5a1037a-6604-423f-a3f1-eed911779536",
      "db_currency_id": "f6a7d667-ac41-4da3-b879-0df426a45804",
      "db_language_id": "fa57f618-b178-4dce-85e8-f6e459b6196f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-17T22:07:45.5240916+00:00"
    },
    "modified_dateutc": "2026-11-17T22:07:45.5360168+00:00"
  }
}